dpkg-genchanges(1)

NOM
dpkg-genchanges - Créer des fichiers « .changes ».

SYNOPSIS
dpkg-genchanges [options]

DESCRIPTION
dpkg-genchanges lit les informations à la fois dans une arborescence debian dépaquetée et déjà construite et sur les fichiers qui ont été créés; puis il crée un fichier de contrôle pour la mise en place dans l'archive Debian (c'est le fichier .changes).

OPTIONS

-b, -B
    Précise que l'on veut uniquement une construction du binaire (les fichiers sources ne seront pas inclus). Il n'y a pas de distinction entre -b et -B, le fichier produit .changes reprendra tous les fichiers créés par le paquet binary-* en cours de construction.

-S  Ne construit que le paquet source (aucun paquet binaire ne sera construit).

Les options -sx contrôlent si l'archive source originale est incluse dans l'installation produite si un paquet source est créé (cad. que les options -b ou -B n'ont pas été utilisées).

-si Par défaut, ou quand l'option est indiquée, les sources originales sont incluses uniquement si le numéro de version majeur (cad la version sans les parties epoch et « révision Debian ») diffère de la version précédente indiquée dans le fichier de changelog.

-sa Force l'inclusion des sources originelles.

-sd Force l'exclusion des sources originelles et inclut seulement le « diff ».

-vversion
    Force l'utilisation des informations contenues dans le fichier « changelog» et qui concernent toutes les versions strictement plus récentes que version.

-Cdescription-des-changements
    Lit la description des changements dans le fichier description-des-changements plutôt que dans le fichier « changelog » de l'arborescence source.

-madresse-du-responsable
    Utilise adresse-du-responsable comme nom et adresse électronique du responsable de paquet plutôt que d'utiliser les informations contenues dans le fichier « control » de l'arborescence source.

-eadresse-du-responsable
    Utilise adresse-du-responsable comme nom et adresse électronique du responsable de paquet pour cette mise en place, plutôt que d'utiliser les informations contenues dans le fichier « changelog » de l'arborescence source.

-Vnom=valeur
    Fixe la valeur d'une variable de substitution. Consultez deb-substvars(5) pour une discussion sur la valeur de substitution.

-Tfichier/substvars
    Lecture des variables de substitution depuis substvarsfile ; la valeur par défaut est debian/substvars. Aucune substitution de variable n'est faite sur les champs de sorties, cependant la variable spéciale Format remplacera le champs qui porte le même nom.

-Dchamp=valeur
    Remplace ou ajoute en sortie un champ dans le fichier de contrôle.

-Uchamp
    Supprime en sortie un champ dans le fichier de contrôle.

-cfichier/control
    Indique le principal fichier de contrôle des sources où trouver des renseignements. Par défaut, c'est le fichier debian/control.

-lfichier/changelog
    Indique le fichier d'enregistrement des changements où trouver des renseignements. Par défaut, c'est le fichier debian/changelog.

-ffichier/liste-des-fichiers
    Lit ou écrit la liste des fichiers qui doivent être envoyés vers l'archive dans ce fichier plutôt que dans le fichier debian/files.

-Fformat-du-changelog
    Donne le format du fichier changelog. Par défaut, c'est une ligne spéciale, près de la fin du fichier, qui l'indique ; sinon, on utilise le format classique debian.

-urépertoire-des-fichiers-à-installer
    Cherche les fichiers à installer dans répertoire-des-fichiers-à-installer plutôt que dans .. (dpkg-genchanges doit trouver ces fichiers de manière à mettre leurs tailles et leurs sommes de contrôle dans le fichier .changes.)

-q  dpkg-genchanges affiche habituellement des messages d'information sur la sortie d'erreur standard ; par exemple, combien de fichiers source du paquet sont en cours d'installation. -q supprime ces messages.

-h, --help
    Affiche un message d'aide puis quitte.

--version
    Affiche le numéro de version puis quitte.

FICHIERS

debian/files
    La liste des fichiers créés qui seront installés sur le serveur. dpkg-genchanges lit dans ce fichier les données nécessaires à la création du fichier .changes.

AUTEURS
Copyright (C) 1995-1996 Ian Jackson
Copyright (C) 2000 Wichert Akkerman

Ce programme est un logiciel libre ; voyez la « GNU General Public Licence » version 2 ou supérieure pour le copyright. Il n'y a PAS de garantie.

TRADUCTION
Ariel VARDI <ariel.vardi@freesbee.fr>, 2002. Philippe Batailler, 2006. Nicolas François, 2006. Veuillez signaler toute erreur à <debian-l10n-french@lists.debian.org>.